Package org.eclipse.remote.core

## Interface IRemoteConnection.Service.Factory

All Known Implementing Classes:
  `SerialPortConnection.Factory`, `TelnetConnection.Factory`

Enclosing interface:
  IRemoteConnection.Service

    public static interface IRemoteConnection.Service.Factory

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends IRemoteConnection.Service> T` `getService​(IRemoteConnection remoteConnection, java.lang.Class<T> service)`

### Method Detail

#### getService

    <T extends IRemoteConnection.Service> T getService​(IRemoteConnection remoteConnection,
                                                       java.lang.Class<T> service)